import "virtual:uno.css"
import { createApp } from "vue"
import { createRouter, createWebHistory } from "vue-router"
import App from "./App.vue"
import { handleHotUpdate, routes } from "vue-router/auto-routes"

const router = createRouter({
    routes,
    history: createWebHistory()
})

const app = createApp(App)
app.use(router)
app.mount("#app")

if (import.meta.hot) {
    handleHotUpdate(router)
}